using System;
using System.Collections.Generic;
using System.Linq;
using System.IO;
using System.Web.Mvc;
using Syncfusion.Presentation;
using Syncfusion.XlsIO;
using System.Drawing;
using CultureAudit.Models;
using Syncfusion.XlsIO.Implementation.Charts;
using Syncfusion.OfficeChart;

namespace CultureAudit.Areas.Admin.Controllers
{
    public class PowerPointController : Controller
    {
        CultureAuditEntities db = new CultureAuditEntities();


        public PresentationResult ReportPresentation(int SurveyNumber)
        {
			.....

            // Add a chart
            stream = new FileStream(file, FileMode.Open);
            stream.Position = 0;

            //Gets the worksheet
            IWorksheet worksheet21 = destworkbook.Worksheets[0];
            worksheet21.UsedRangeIncludesFormatting = false;

            //Get The range of values
            var saData = worksheet21.UsedRange;
            //create new slide showing chart
            ISlide saSlide = presentation.Slides.Add(SlideLayoutType.Blank);
            IPresentationChart saChart = saSlide.Charts.AddChart(stream, 1, saData.Address, new Rectangle(30, 15, 850, 500));
            saChart.ChartType = Syncfusion.OfficeChart.OfficeChartType.Column_Clustered_3D;
            saChart.HasLegend = false;
            saChart.ChartTitle = "Rate For Strongly Agree";
            saChart.PrimaryValueAxis.Title = "Percentage Strongly Agree";
            IOfficeChartSerie serie21 = saChart.Series[0];
            serie21.DataPoints.DefaultDataPoint.DataLabels.Position = OfficeDataLabelPosition.Automatic;
            serie21.DataPoints.DefaultDataPoint.DataLabels.IsValue = true;
            serie21.DataPoints.DefaultDataPoint.DataLabels.NumberFormat = "0%";
            saChart.PrimaryValueAxis.MinimumValue = 0;
            saChart.PrimaryValueAxis.MaximumValue = 100;
            saChart.PrimaryValueAxis.NumberFormat = "0%";
            saChart.Series[0].DataPoints.DefaultDataPoint.DataFormat.Fill.ForeColor = Color.Green;
 
            stream.Dispose();

            //Remove strongly agree
            destworkbook.Worksheets[0].Remove();
            destworkbook.SaveAs(file);
            destworkbook.Close();
            destworkbook = application.Workbooks.Open(file);

            // Add a chart
            stream = new FileStream(file, FileMode.Open);
            stream.Position = 0;

            //Gets the worksheet
            IWorksheet worksheet22 = destworkbook.Worksheets[0];
            worksheet22.UsedRangeIncludesFormatting = false;

            //Get The range of values
            var sdData = worksheet22.UsedRange;
            //create new slide showing chart
            ISlide sdSlide = presentation.Slides.Add(SlideLayoutType.Blank);
            IPresentationChart sdChart = sdSlide.Charts.AddChart(stream, 1, sdData.Address, new Rectangle(30, 15, 850, 500));
            sdChart.ChartType = Syncfusion.OfficeChart.OfficeChartType.Column_Clustered_3D;
            sdChart.HasLegend = false;
            sdChart.ChartTitle = "Rate For Strongly Disagree";
            sdChart.PrimaryValueAxis.Title = "Percentage  Strongly  Disagree";
            IOfficeChartSerie serie22 = sdChart.Series[0];
            serie22.DataPoints.DefaultDataPoint.DataLabels.Position = OfficeDataLabelPosition.Automatic;
            serie22.DataPoints.DefaultDataPoint.DataLabels.IsValue = true;
            serie22.DataPoints.DefaultDataPoint.DataLabels.NumberFormat = "0.00%";
            sdChart.PrimaryValueAxis.MinimumValue = 0;
            sdChart.PrimaryValueAxis.MaximumValue = 100;
            sdChart.PrimaryValueAxis.NumberFormat = "0.0%";
            sdChart.Series[0].DataPoints.DefaultDataPoint.DataFormat.Fill.ForeColor = Color.Red;
 
            stream.Dispose();

            

            //close the workbook
            destworkbook.Close();

            excelEngine2.Dispose();

            //Now delete the Excel file used to create the charts
            //if ((System.IO.File.Exists(file)))
            //{
            //    System.IO.File.Delete(file);
            //}

            return new PresentationResult(presentation, NoSpaceName+".pptx", HttpContext.ApplicationInstance.Response);
        }

    }
}